#include "Rotate.h"
#include "main.h"

void rlc()	// rotate A left through Carry
{
uint16_t x;
	x = Areg<<1;
	Cflag = x>>8;
	x |=Cflag;
	Areg = x & 255;
	PC++;
}

void rrc()	// rotate A right through Carry
{
uint16_t x;
	x = Areg>>1;
	Cflag = Areg & 1;
	x |= Cflag<<7;
	Areg = x;
	PC++;
}

void ral()	// rotate A left
{
uint16_t x;
	x = Areg<<1;
	x = x | Cflag;
	Areg = x & 255;
	Cflag = x>>8;
	PC++;
}

void rar()	// rotate A right
{
uint16_t x;
	x = Areg>>1;
	x |= Cflag<<7;
	Cflag = Areg & 1;
	Areg = x;
	PC++;
}

