#include "Logic.h"
#include "main.h"

void ani()
{
	Areg &= memory(PC+1);
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC += 2;
}

void ori()
{
	Areg |= memory(PC+1);
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC += 2;
}

void xri()
{
	Areg ^= memory(PC+1);
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC += 2;
}

void and_a()
{
	Areg &= Areg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void and_b()
{
	Areg &= Breg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void and_c()
{
	Areg &= Creg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void and_d()
{
	Areg &= Dreg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void and_e()
{
	Areg &= Ereg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void and_h()
{
	Areg &= Hreg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void and_l()
{
	Areg &= Lreg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void and_m()
{
	Areg &= Mem;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void xor_a()
{
	Areg ^= Areg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void xor_b()
{
	Areg ^= Breg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void xor_c()
{
	Areg ^= Creg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void xor_d()
{
	Areg ^= Dreg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void xor_e()
{
	Areg ^= Ereg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void xor_h()
{
	Areg ^= Hreg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void xor_l()
{
	Areg ^= Lreg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void xor_m()
{
	Areg ^= Mem;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void or_a()
{
	Areg |= Areg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void or_b()
{
	Areg |= Breg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void or_c()
{
	Areg |= Creg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void or_d()
{
	Areg |= Dreg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void or_e()
{
	Areg |= Ereg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void or_h()
{
	Areg |= Hreg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void or_l()
{
	Areg |= Lreg;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}

void or_m()
{
	Areg |= Mem;
	Cflag = 0;	// Carry always false for this type of instruction
	Zflag = !Areg;
	Sflag = Areg & 128;
	Pflag = pgm_read_byte(&parity[Areg]);
	PC++;
}
